Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.chart
Enum OdfLegendAlignType

    java.lang.Object
      java.lang.Enum<OdfLegendAlignType>
          org.odftoolkit.odfdom.dom.type.chart.OdfLegendAlignType

All Implemented Interfaces:
  Serializable, Comparable<OdfLegendAlignType>

    public enum OdfLegendAlignType

extends Enum<OdfLegendAlignType>

DOM implementation of OpenDocument attribute chart:legend-align.

Enum Constant Summary
`CENTER`
`END`
`START`

Method Summary
`static OdfLegendAlignType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfLegendAlignType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfLegendAlignType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfLegendAlignType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### END

    public static final OdfLegendAlignType END

### START

    public static final OdfLegendAlignType START

### CENTER

    public static final OdfLegendAlignType CENTER

Method Detail

### values

    public static OdfLegendAlignType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfLegendAlignType c : OdfLegendAlignType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfLegendAlignType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfLegendAlignType>`
  Returns:
    return the name of OdfLegendAlignType

### toString

    public static String toString(OdfLegendAlignType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfLegendAlignType, see chart:legend-align
  Returns:
    return the name of OdfLegendAlignType

### enumValueOf

    public static OdfLegendAlignType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfLegendAlignType
  Returns:
    return the constant of OdfLegendAlignType, see chart:legend-align

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.